Bug 965769 - [RFE] The ISOImporter should not download ISOs that are already downloaded in other repos
[RFE] The ISOImporter should not download ISOs that are already downloaded in...
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: iso-support (Show other bugs)
Master
Unspecified Unspecified
medium Severity unspecified
: ---
: 2.6.0
Assigned To: Jeremy Cline
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 12:53 EDT by Randy Barlow
Modified: 2015-02-28 18:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 20:10:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 191 None None None Never

  None (edit)
Description Randy Barlow 2013-05-21 12:53:02 EDT
The ISOImporter does not check to see if ISOs are already downloaded in other repos, but only if they are already downloaded in the currently syncing repo.

We should check if the needed ISOs are in other repos, and import them instead of downloading them.
Comment 1 Jeremy Cline 2014-11-25 15:17:36 EST
https://github.com/pulp/pulp_rpm/pull/601
Comment 2 Jeremy Cline 2014-11-25 15:18:31 EST
Also see https://bugzilla.redhat.com/show_bug.cgi?id=972880
Comment 3 Chris Duryee 2014-12-23 15:52:37 EST
fixed in pulp 2.6.0-0.2.beta
Comment 4 Preethi Thomas 2015-01-29 09:44:40 EST
verified
[root@cloud-qe-4 ~]# rpm -qa pulp-server
pulp-server-2.6.0-0.5.beta.el7.noarch
[root@cloud-qe-4 ~]# 

[root@cloud-qe-4 ~]# pulp-admin iso repo create --repo-id iso --feed https://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/test_file_repo/
Successfully created repository [iso]

[root@cloud-qe-4 ~]# 
[root@cloud-qe-4 ~]# 
[root@cloud-qe-4 ~]# 
[root@cloud-qe-4 ~]# pulp-admin iso repo sync run --repo-id iso
+----------------------------------------------------------------------+
                     Synchronizing Repository [iso]
+----------------------------------------------------------------------+

This command may be exited via ctrl+c without affecting the request.


Downloading the Pulp Manifest...
The Pulp Manifest was downloaded successfully.

Downloading 3 ISOs...
[==================================================] 100%
ISOs: 3/3	Data: 10.2 MB/10.2 MB	Avg: 3.4 MB/s


Successfully downloaded 3 ISOs.


Task Succeeded



The repository was successfully published.


Task Succeeded


[root@cloud-qe-4 ~]# pulp-admin iso repo create --repo-id iso-2 --feed https://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/test_file_repo/
Successfully created repository [iso-2]

[root@cloud-qe-4 ~]# pulp-admin iso repo sync run --repo-id iso-2+----------------------------------------------------------------------+
                    Synchronizing Repository [iso-2]
+----------------------------------------------------------------------+

This command may be exited via ctrl+c without affecting the request.


Downloading the Pulp Manifest...
The Pulp Manifest was downloaded successfully.

There are no ISOs that need to be downloaded.


Task Succeeded



The repository was successfully published.


Task Succeeded
Comment 5 Brian Bouterse 2015-02-18 20:10:58 EST
Moved to https://pulp.plan.io/issues/191

Note You need to log in before you can comment on or make changes to this bug.